Table Smart Object.

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Enumerations
Table Smart Object.
Evas » Smart Object Functions

Convenience smart object that packs children using a tabular layout using children size hints to define their size and alignment inside their cell space. More...

## Enumerations
enum | Evas_Object_Table_Homogeneous_Mode { EVAS_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EVAS_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EVAS_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2, EVAS_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EVAS_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EVAS_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2 }
| How to pack items into cells in a table. More...
enum | Evas_Object_Table_Homogeneous_Mode { EVAS_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EVAS_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EVAS_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2, EVAS_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EVAS_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EVAS_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2 }
| How to pack items into cells in a table. More...
Evas_Object * | evas_object_table_add (Evas *evas)
| Create a new table. More...
Evas_Object * | evas_object_table_child_get (const Evas_Object *o, unsigned short col, unsigned short row)
| Get the child of the table at the given coordinates. More...

## Detailed Description

Convenience smart object that packs children using a tabular layout using children size hints to define their size and alignment inside their cell space.

Table Smart Object example shows how to use this Evas_Object.

See also
  Size Hints

## Enumeration Type Documentation

enum Evas_Object_Table_Homogeneous_Mode

How to pack items into cells in a table.

See evas_obj_table_homogeneous_get for an explanation of the function of each one.

enum Evas_Object_Table_Homogeneous_Mode

How to pack items into cells in a table.

See evas_object_table_homogeneous_get for an explanation of the function of each one.

## Function Documentation

Evas_Object* evas_object_table_add | ( | Evas * | evas | ) |

Create a new table.

Parameters

  evas | Canvas in which table will be added.

References _Eina_List::data, EINA_FALSE, eina_list_accessor_new(), eina_list_append(), EINA_LIST_FOREACH, EINA_LIST_FREE, eina_list_iterator_new(), eina_list_remove_list(), EINA_MAGIC_SET, EINA_TRUE, eo_add, ERR, evas_event_freeze(), evas_event_thaw(), evas_object_del(), evas_object_smart_member_add(), evas_object_smart_member_del(), evas_object_table_add(), evas_smart_legacy_type_register(), FUNC_ACCESSOR_FREE, FUNC_ACCESSOR_GET_AT, FUNC_ACCESSOR_GET_CONTAINER, FUNC_ITERATOR_FREE, FUNC_ITERATOR_GET_CONTAINER, FUNC_ITERATOR_NEXT, _Eina_List::next, efl::eo::parent, and WRN.

Referenced by edje_edit_part_name_set(), edje_file_data_get(), and evas_object_table_add().

Evas_Object* evas_object_table_child_get | ( | const Evas_Object * | o,
|  | unsigned short | col,
|  | unsigned short | row
| ) |  |

Get the child of the table at the given coordinates.

Note
  This does not take into account col/row spanning
  This does not take into account col/row spanning

Parameters

  [in] | col |
  [in] | row |

Referenced by edje_box_layout_register().